Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 18-06-2022 17:12:16

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour à tous,

Je m'en viens une nouvelle fois réquérir votre aide. J'ai récement remisé ma vieille tour après 12 ans de bons et loyaux services pour une plus récente.
J'ai procédé à installation d'une debian stable et d'une Manjaro, force est de constater que ma carte video est pas encore correctement gérée, surtout chez Deb...
Je me retrouve face à des soucis d'affichage avec mes écrans, un écran LG de 22' (1) et un TV Samsung de 46' (2): il m'est impossible d'avoir les 2 écrans ensembles, l'un reste automatiquement en veille, que je sois en HDMI ou DP, en plus devoir rester en 1024*768, contrairement à la Manjaro (et ok 2 écrans)
J'ai fait le tour des problèmes graphiques, j'ai rien trouvé d'équivalent. Je me suis tourné vers les backport pour installer un kernel plus récent, le 5.16bpo, le soucis est que ça bloque au boot sur un message déja connu de longue date: USBHID couldn't find an input interrupt endpoint.
Je viens de tenter avec le kernel 5.18 de SID, il me fait la même chose (dépot activé et limité au kernel), par contre le 5.10 passe crème....scratchhead.gif
Dans le doute, j'ai testé en déconnectant mes périphériques usb, sans effet non plus.

$ inxi -Fr
 


System:
  Host: debian Kernel: 5.10.0-15-amd64 x86_64 bits: 64 Desktop: Xfce 4.16.0
  Distro: Debian GNU/Linux 11 (bullseye)
Machine:
  Type: Desktop Mobo: Micro-Star model: MAG B550M BAZOOKA (MS-7C95) v: 2.0
  serial: <superuser required> UEFI: American Megatrends LLC. v: A.A0 date: 05/17/2022
CPU:
  Info: 6-Core model: AMD Ryzen 5 5600X bits: 64 type: MT MCP L2 cache: 3 MiB
  Speed: 2879 MHz min/max: 2200/5073 MHz Core speeds (MHz): 1: 2879 2: 2877 3: 2875
  4: 2879 5: 2879 6: 3621 7: 2878 8: 2874 9: 2879 10: 2878 11: 2878 12: 3591
Graphics:
  Device-1: AMD Navi 23 driver: N/A
  Display: x11 server: X.Org 1.20.11 driver: loaded: ati,vesa
  unloaded: fbdev,modesetting,radeon resolution: 1024x768~76Hz
  OpenGL: renderer: llvmpipe (LLVM 11.0.1 256 bits) v: 4.5 Mesa 20.3.5



$ xrandr


xrandr: Failed to get size of gamma for output default
Screen 0: minimum 1024 x 768, current 1024 x 768, maximum 1024 x 768
default connected 1024x768+0+0 0mm x 0mm
   1024x768      76.00*



$ sudo apt-cache policy amd*


amd-clinfo:
  Installed: (none)
  Candidate: (none)
  Version table:
amdgcn-tools:
  Installed: (none)
  Candidate: 9
  Version table:
     13 100
        100 http://deb.debian.org/debian unstable/main amd64 Packages
     9 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
amd-libopencl1:
  Installed: (none)
  Candidate: (none)
  Version table:
amd-app:
  Installed: (none)
  Candidate: (none)
  Version table:
amd64-microcode:
  Installed: 3.20191218.1
  Candidate: 3.20191218.1
  Version table:
     3.20220411.1 100
        100 http://deb.debian.org/debian unstable/non-free amd64 Packages
 *** 3.20191218.1 500
        500 http://deb.debian.org/debian bullseye/non-free amd64 Packages
        100 /var/lib/dpkg/status
amd-opencl-icd:
  Installed: (none)
  Candidate: (none)
  Version table:
firmware-amd-graphics:
  Installed: 20210315-3
  Candidate: 20210315-3
  Version table:
     20210818-1 100
        100 http://deb.debian.org/debian unstable/non-free amd64 Packages
 *** 20210315-3 500
        500 http://deb.debian.org/debian bullseye/non-free amd64 Packages
        100 /var/lib/dpkg/status
firmware-misc-nonfree:
  Installed: 20210315-3
  Candidate: 20210315-3
  Version table:
     20210818-1 100
        100 http://deb.debian.org/debian unstable/non-free amd64 Packages
 *** 20210315-3 500
        500 http://deb.debian.org/debian bullseye/non-free amd64 Packages
        100 /var/lib/dpkg/status
firmware-linux-nonfree:
  Installed: 20210315-3
  Candidate: 20210315-3
  Version table:
     20210818-1 100
        100 http://deb.debian.org/debian unstable/non-free amd64 Packages
 *** 20210315-3 500
        500 http://deb.debian.org/debian bullseye/non-free amd64 Packages
        100 /var/lib/dpkg/status

 



Parti d'un problème d'affichage, je me retrouve avec des kernels récalctrants, aurais-je omis un truc?

Merci d'avance pour votre aide
sos.gif

Dernière modification par Gargamel (18-06-2022 17:53:45)

Hors ligne

#2 21-06-2022 09:34:07

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour à tous,

Je me permets de remonter ce post, personne saurait m'expliquer le pourquoi des kernels 5.16 et 5.18 qui boot pas? J'ai fait des démarrages en déconnectant la souris et alternativement, voir chager de port usb, le problème reste identique. seul pour le clavier, le message apparait pas, j'ai un curseur à la place

merci sos.gif

Hors ligne

#3 21-06-2022 19:09:54

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Hello
Le paquet dkms est il bien installé?

apt policy dkms


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 22-06-2022 15:09:50

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour croutons, merci de ton retour et de ta patience, dkms est bien installé:

dkms:
  Installed: 2.8.4-3
  Candidate: 2.8.4-3
  Version table:
     3.0.3-4 100
        100 http://deb.debian.org/debian unstable/main amd64 Packages
 *** 2.8.4-3 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
        100 /var/lib/dpkg/status
 



J'ai vu que le paquet firmware-amd-graphics vient de descendre en testing, il contient les pilotes pour ma carte video. Un tel paquet pourrait avoir une quelconque influence sur mon soucis de kernels?

Hors ligne

#5 22-06-2022 17:48:42

èfpé
Membre
Inscription : 10-07-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour Gargamel,

Gargamel a écrit :

J'ai vu que le paquet firmware-amd-graphics vient de descendre en testing, il contient les pilotes pour ma carte vidéo.


Ce paquet contient les firmwares requis par le module/pilote amdgpu, qui lui est fourni par le noyau.
Les firmwares Navi 23 ont été intégrés le 29 juin 2021, la version 20210315 ne peut pas les fournir.

Par ailleurs ce GPU n'est pris en charge qu'à partir du noyau 5.11 (en 5.10 le pilote utilisé est vesa).
Puisqu'il te faut noyau et firmwares de bookworm/sid, peut-être réinstaller, avec une image testing ?

@Croutons : le paquet dkms n'a rien à voir avec le problème peut-être confonds-tu KMS et DKMS ?

Dernière modification par èfpé (Aujourd'hui 12:08:42)

Hors ligne

#6 23-06-2022 13:19:00

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

@èfpé a ba non je pensais a un soucis de module vu que le 5.10 passe crème
c'est po grave c'était pour tenter de faire avancer  smile

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#7 23-06-2022 19:01:38

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

èfpé a écrit :

Bonjour Gargamel,
Par ailleurs ce GPU n'est pris en charge qu'à partir du noyau 5.11 (en 5.10 le pilote utilisé est vesa).
Puisqu'il te faut noyau et firmwares de bookworm/sid, peut-être réinstaller, avec une image testing ?



J'étais en SID sur mon ancienne tour, je voulais rester en stable quelques temps pour convenance, mais si il faut passer par là, je prréfère en être vraiment sûr que ça puisse me dépanner.
Je serai ravi que quelqu'un puisse me donner la raison pour laquelle manjaro, avec le 5.18, ne rencontre pas ce problème. Même matos, 2 boots différents kernal_panic.gif

Hors ligne

#8 23-06-2022 20:04:40

phreg
Membre
Distrib. : MX Manjaro Ubuntu
Noyau : 4.9 à 5.10
(G)UI : Xfce
Inscription : 02-04-2011

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour,

Je serai ravi que quelqu'un puisse me donner la raison pour laquelle manjaro, avec le 5.18, ne rencontre pas ce problème. Même matos, 2 boots différents


Ben c'est simple, èfpé te l'a déjà dit :

ce GPU n'est pris en charge qu'à partir du noyau 5.11

et tu es en 5.10 sous Debian et 5.18 sous Manjaro.
Debian stable est à éviter avec du matériel trop récent.
Je jongle aussi entre Manjaro et Debian (MX plutôt). C'est 2 très bonnes distributions bien différentes dans leurs principes.
Debian : Stabilité, mise à jour peu volumineuses mais lenteur d'évolution. (Libreoffice en 7.0)
Manjaro : Tout bouge vite, en général plus d'1 GB de mise à jour par mois, mais ça peut casser plus facilement. (Libreoffice en 7.3)

Bon ça ne m'est arrivé qu'une fois en 2 ans et un chroot m'a vite sorti d'affaire.

Hors ligne

#9 23-06-2022 20:26:42

èfpé
Membre
Inscription : 10-07-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Re-,

Gargamel a écrit :

Je serai ravi que quelqu'un puisse me donner la raison pour laquelle manjaro, avec le 5.18, ne rencontre pas ce problème.


Perso je ne connais pas Manjaro, quid des firmwares non libres ? Pourrais-tu poster les retours de :

lspci -nnkd ::0300

dmesg | grep modes


Sous Manjaro... cela nous donnera les identifiants PCI du GPU (AMD Navi 23 n'est pas assez précis).

As-tu tenté d'installer le paquet firmware-amd-graphics de testing en 5.10, et redémarrer en 5.18 ?

Hors ligne

#10 23-06-2022 20:37:25

Debian Alain
Membre
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

bonjour à tous smile  smile  smile

eeuuuh  , navi 23 , c'est pas les 6600 / 6600 xt  ?

https://www.techpowerup.com/gpu-specs/amd-navi-23.g926

amicalement .

alain .

coyotus.png

Dernière modification par Debian Alain (23-06-2022 20:38:31)

Hors ligne

#11 23-06-2022 21:00:42

èfpé
Membre
Inscription : 10-07-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonsoir Debian Alain,

Debian Alain a écrit :

eeuuuh, navi 23, c'est pas les 6600 / 6600 xt ?


Et donc ? selon le PID la prise en charge par le module amdgpu commence en 5.11, 5.14 voire 5.15.
On s'en fiche un peu, c'est juste pour info, étant donné que le noyau actuel de testing/sid est 5.18.

Hors ligne

#12 24-06-2022 20:10:02

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour à tous

Les joies d'avoir un affichage qui fait ce qu'il veut,...Sans rien faire, aujourd'hui, je peux profiter un affichage en 1680x1050, qui repassera encore et certainement en 1024x768 au prochain démarrage.....(c'est le jeu de l'affichage surprise, ça stimule le developpemnt personnel.......mrgreen.gif)
Je démarre toujours sur le 5.10, les autres kernels faisant toujours des caprices.... (ça, ça change pas pas contre)

phreg a écrit :


Je jongle aussi entre Manjaro et Debian (MX plutôt). C'est 2 très bonnes distributions bien différentes dans leurs principes.
Debian : Stabilité, mise à jour peu volumineuses mais lenteur d'évolution. (Libreoffice en 7.0)
Manjaro : Tout bouge vite, en général plus d'1 GB de mise à jour par mois, mais ça peut casser plus facilement. (Libreoffice en 7.3)
.



J'ai découvert cette édition en dépannant un vieux laptop d'une amie, j'ai été agréablement surpris par sa prise en main, je pense essayer Endeavour en virtuel quand cette nouvelle tour aura plus de surprise pour moi.
Un avantage que j'apprécie chez Debian, c'est les .deb, les paquets AUR, je fais trés attention avec par manque de connaissances.

$ sudo lspci -nnkd ::0300



2d:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Navi 23 [1002:73ff] (rev c7)
  Subsystem: Sapphire Technology Limited Navi 23 [1da2:e451]
 



dmesg | grep modes


Aucuns retours hmm

èfpé a écrit :


As-tu tenté d'installer le paquet firmware-amd-graphics de testing en 5.10, et redémarrer en 5.18 ?


Non pas encore, ça trottine dans la tête, je pensais plutôt me tourner vers celui de SID afin d'avoir une màj plus rapide si ça partait en sucette. Je suis pas à l'aise dans ces dépannages.

Debian Alain a écrit :

bonjour à tous smile  smile  smile

eeuuuh  , navi 23 , c'est pas les 6600 / 6600 xt  ?



Tout à fait, la mienne est la Sapphire RX 6600 XT
https://www.sapphiretech.com/en/consume … t-8g-gddr6
AMD a baptisé son navi 23 Dimgrey Cavefish

Manjaro semble mieux gérer ma nouvelle tour, toutefois, l'affichage peut geler au bout d'un certains temps, les drivers sont pas encore aboutis malheureusement. Ce qui m'agace le plus en fait, c'est de pas pouvoir passer sur les 5.16/5.18
Passer sous SID pourrait résoudre ces problèmes de USBHID à tout hasard?

Bonne soirée à tous

Hors ligne

#13 24-06-2022 21:58:42

èfpé
Membre
Inscription : 10-07-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Re-,

Gargamel a écrit :

lspci -nnkd ::0300

2d:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Navi 23 [1002:73ff] (rev c7)
        Subsystem: Sapphire Technology Limited Navi 23 [1da2:e451]


Ok, le GPU 1002:73ff est pris en charge par le module amdgpu à partir de la version 5.11 du noyau.

èfpé a écrit :

Sous Manjaro... [...].


L'absence de ligne 'Kernel driver in use: amdgpu' laisse penser que tu as exécuté lspci sous Debian.

Gargamel a écrit :

dmesg | grep modes

la commande n’affiche rien


Absence de ligne '[drm] amdgpu kernel modesetting enabled.', retour sous Debian et non Manjaro ?

Or certains retours sur linux-hardware.org (cf. ici) montrent que cela peut fonctionner, sous Debian.

Dernière modification par èfpé (Aujourd'hui 12:18:42)

Hors ligne

#14 26-06-2022 17:31:44

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour la team

èfpé a écrit :


L'absence de ligne 'Kernel driver in use: amdgpu' laisse penser que tu as exécuté lspci sous Debian


Oui, j'étais repassé sous Debian, voici les retours de commande exécuté sous Manjaro:

(Manjaro) dmesg | grep modes


[   10.513353] [drm] amdgpu kernel modesetting enabled.
[   10.521097] [drm] initializing kernel modesetting (DIMGREY_CAVEFISH 0x1002:0x73FF 0x1DA2:0xE451 0xC7).



(Manjaro) lspci -nnkd ::0300


2d:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Navi 23 [Radeon RX 6600/6600 XT/6600M] [1002:73ff] (rev c7)
  Subsystem: Sapphire Technology Limited Device [1da2:e451]
  Kernel driver in use: amdgpu
  Kernel modules: amdgpu



Sous Debian, les kernels sont déja installé (5.16bpo et 5.18 SID), c'est le code erreur usbhid que j'arrive pas à dépanner alors que je pense avoir tout fait (débrancher alternativement clavier/souris, déplacer les branchements), matériels qui posent aucuns soucis si je démarre en 5.10 ou chez Manjaro (5.18)
J'étais parti d'un problème graphique pour me retrouver avec un vieux bug de périphériques usb. Me faut-il aller chercher un paquet firmware dans une branche supérieur, si oui, vers lequel me faudrait-il me tourner?

Hors ligne

#15 26-06-2022 18:08:42

èfpé
Membre
Inscription : 10-07-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Re-,

Gargamel a écrit :

J'étais parti d'un problème graphique pour me retrouver avec un vieux bug de périphériques usb.


Je doute que ce soit cela qui provoque le freeze au démarrage... d'ailleurs que retourne, sous 5.10 :

dmesg | grep usbhid


Et si je comprends bien ton #1, « ça bloque au boot sur un message déjà connu de longue date » !

dmesg | grep firmware


Le retour montrera l'état des firmwares requis, autres paquets manquants !firmware-amd-graphics.

Hors ligne

#16 Aujourd'hui 16:16:37

Gargamel
Membre
Distrib. : bullseye
Noyau : 5.10/5.16bpo/5.18
(G)UI : XFCE 4.16
Inscription : 02-09-2008

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Bonjour èfpé

Merci pour ta patience, voici les retours commandes demandé. Compte tenu de la présences de 2 systèmes, j'ai fait de mon mieux pour que la lecture soit plus aisée.

apt-cache policy firmware-amd-graphics



firmware-amd-graphics:
  Installed: 20210315-3
  Candidate: 20210315-3
  Version table:
     20210818-1 100
        100 http://deb.debian.org/debian unstable/non-free amd64 Packages
 *** 20210315-3 500
        500 http://deb.debian.org/debian bullseye/non-free amd64 Packages
        100 /var/lib/dpkg/status



Retours Debian en 5.10


$ sudo dmesg | grep usbhid
[    9.867228] usbhid 3-2.1:1.1: couldn't find an input interrupt endpoint
[    9.895300] usbcore: registered new interface driver usbhid
[    9.895301] usbhid: USB HID core driver
$ sudo dmesg | grep firmware
[    0.693316] Spectre V2 : Enabling Restricted Speculation for firmware calls
[   11.027610] r8169 0000:2a:00.0: firmware: direct-loading firmware rtl_nic/rtl8168h-2.fw



Retours Manjaro en 5.18


$ sudo dmesg | grep usbhid
[   11.256303] usbhid 3-2.1:1.1: couldn't find an input interrupt endpoint
[   11.392982] usbcore: registered new interface driver usbhid
[   11.392983] usbhid: USB HID core driver
$ dmesg | grep firmware
[    0.518437] Spectre V2 : Enabling Restricted Speculation for firmware calls
[   12.898829] [drm] Loading DMUB firmware via PSP: version=0x0202000F
[   12.902777] [drm] Found VCN firmware Version ENC: 1.20 DEC: 2 VEP: 0 Revision: 5
[   12.902781] amdgpu 0000:2d:00.0: amdgpu: Will use PSP to load VCN firmware
 



En cherchant chez packages.debian.org, j'ai vu que le paquet libusbhid-common n'était pas installé chez moi, son absence pourrait-elle expliquer mes déboires actuels? (dispo que chez SID, https://packages.debian.org/search?lang … rds=usbhid)

Dernière modification par Gargamel (Aujourd'hui 16:27:03)

Hors ligne

#17 Aujourd'hui 19:06:42

èfpé
Membre
Inscription : 10-07-2016

Re : Impossible de booter sur kernel 5.16 ou 5.18 (usbhid error)

Re-,

Gargamel a écrit :

En cherchant chez packages.debian.org, j'ai vu que le paquet libusbhid-common n'était pas installé chez moi, son absence pourrait-elle expliquer mes déboires actuels ?


C'est peu probable (aucun rapport de bogue en vue) ! mais tu peux identifier le périphérique fautif :

dmesg | grep -B 20 usbhid


Sous Debian ou Manjaro indifféremment du coup, la commande 'lsusb -v' permettra de documenter.
Note que le paquet firmware-amd-graphics dans cette version 20210315 ne te servira jamais à rien.

Peux-tu tester un Live Xubuntu 22.04 (noyau 5.15, firmwares fournis, libusbhid-common absent) ?

Hors ligne

Pied de page des forums